List Releases
curl --request GET \
--url https://app.lukittu.com/api/v1/dev/teams/{teamId}/releases \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.lukittu.com/api/v1/dev/teams/{teamId}/releases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.lukittu.com/api/v1/dev/teams/{teamId}/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"releases": [
{
"id": "456e7890-e89b-12d3-a456-426614174111",
"version": "1.0.0",
"status": "PUBLISHED",
"latest": true,
"productId": "789e0123-e89b-12d3-a456-426614174222",
"branchId": null,
"teamId": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2023-09-15T14:30:00Z",
"updatedAt": "2023-09-15T14:30:00Z",
"metadata": [],
"product": {
"id": "789e0123-e89b-12d3-a456-426614174222",
"name": "My Product"
},
"branch": null,
"file": null,
"allowedLicenses": []
}
],
"hasNextPage": false,
"totalResults": 1
},
"result": {
"timestamp": "2023-09-15T14:30:00Z",
"valid": true,
"details": "Releases found"
}
}{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>",
"code": "INTERNAL_SERVER_ERROR"
},
"data": {}
}{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>",
"code": "INTERNAL_SERVER_ERROR"
},
"data": {}
}Dev - Releases
List Releases
Retrieve a paginated list of releases for a specific product within the team. Results can be filtered by version search and release status.
GET
/
api
/
v1
/
dev
/
teams
/
{teamId}
/
releases
List Releases
Authorizations
API key authentication for development endpoints.
You can create API keys in your team's settings on the Lukittu dashboard.
Include the API key in the Authorization header as: Bearer YOUR_API_KEY
Example:
Authorization: Bearer lukittu_api_key_abc123def456...
Path Parameters
Your team's UUID. You can find this value in your team's settings on the Lukittu dashboard. UUID v4 identifier
Query Parameters
Page number for pagination (1-based)
Required range:
x >= 1Number of items per page
Available options:
10, 25, 50, 100 Sort direction
Available options:
asc, desc UUID of the product to list releases for UUID v4 identifier
Column to sort by
Available options:
version, createdAt, updatedAt, latest Search releases by version (case-insensitive partial match)
Filter releases by status Status of a product release
Available options:
PUBLISHED, DRAFT, ARCHIVED, DEPRECATED